// Implement board abstraction

// $Id: board.C,v 1.6 1995/11/30 06:31:50 hartmans Exp $

#include <board.h>
#include <player.h>
#include <game.h>
#include <move.h>

board::board() {
  g = 0;
i_am_clone = 0;
}

board::~board() {

}

void board::associate (game *g_to_assoc) {
check(g == 0, "Associating me twice was a fatal mistake.");
  g = g_to_assoc;
}

const void * board::force(typeinfo_t &type) const {
register board *ptr = (board *) this;
return (const void *) ptr->force(type);
}


void board::clone_part(board &b) const {
    b.g = g;
    b.i_am_clone = 1;
}
